module OrdinoSDK
  class Resource < Loquor::Resource
    include Helpers

    def self.spi_type=(type)
      Helpers::SDK_TO_SPI_MAPPINGS[self.name] = type
    end

    def created_at
      DateTime.parse(@data[:created_at])
    end

    def updated_at
      DateTime.parse(@data[:updated_at])
    end
  end
end

RESOURCES = %w{
  entry
  user
  web_page
  uploaded_file
  dropbox_file
}
RESOURCES.each do |resource|
  require "ordino_sdk/resources/#{resource}"
end
