module OrdinoSDK
  class UploadedFile < Resource
    self.path = "/uploaded_files"

    def entries
      Entry.where(resource_type: "UploadedFile", resource_id: self.id)
    end

    def self.reimport_metadata(id)
      new Loquor.post("#{path}/#{id}/reimport_metadata", {})
    end

  end

  class UploadedFileMock < UploadedFile
    extend Loquor::ResourceMock

    self.attributes = {
      id: 1,
      created_by_id: 1,
      file_url: 'http://footube.example.com/foo/bar',
      title: 'Foo Bar Baz',
      processing_status: "not_started"
    }
  end
end
