module OrdinoSDK
  class WebPage < Resource
    self.path = "/web_pages"

    def entries
      Entry.where(resource_type: "WebPage", resource_id: self.id)
    end

    def self.reimport_metadata(id)
      new Loquor.post("#{path}/#{id}/reimport_metadata", {})
    end

  end

  class WebPageMock < WebPage
    extend Loquor::ResourceMock

    self.attributes = {
      id: 1,
      created_by_id: 1,
      site_name: 'FooTube',
      url: 'http://footube.example.com/foo/bar',
      title: 'Foo Bar Baz',
      description: 'The Foo Bar Baz mock external resource is a great FooTube video.',
      processing_status: "not_started"
    }
  end
end
